      subroutine HEC_CRL_TER
c
c user termination
c close hbook
c
      implicit none
c
      integer icycle
c
c end hbook
c
      call hcdir('//crl', ' ')      
      call hrout(0, icycle, 't')
      call hldir(' ', 't')
      call hprint(0)
      call hrend('crl')
c
      print *, ' *** user termination done'
c
      end
